<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity()
 * @ORM\Table(name="dedi_blog_article_banner")
 */
class ArticleBanner extends AbstractImage
{
    const TYPE = 'dedi_blog_article_banner';

    /**
     * @ORM\OneToOne(targetEntity="Dedi\SyliusBlogPlugin\Entity\Article", inversedBy="banner")
     * @ORM\JoinColumn(name="owner_id", referencedColumnName="id")
     */
    protected ?object $owner = null;
}
